Loading...
Searching...
No Matches
gridfire::rates::weak::BoundsErrorInfo Struct Reference

Detailed bounds information for a BOUNDS_ERROR. More...

`#include <weak_types.h>`

## Public Attributes

TableAxes | axis
| Axis on which the error occurred.
double | axisMinValue
| Minimum tabulated value on the axis.
double | axisMaxValue
| Maximum tabulated value on the axis.
double | queryValue
| Requested value.

## Detailed Description

Detailed bounds information for a BOUNDS_ERROR.

## Member Data Documentation

## axis

TableAxes gridfire::rates::weak::BoundsErrorInfo::axis

Axis on which the error occurred.

## axisMaxValue

double gridfire::rates::weak::BoundsErrorInfo::axisMaxValue

Maximum tabulated value on the axis.

## axisMinValue

double gridfire::rates::weak::BoundsErrorInfo::axisMinValue

Minimum tabulated value on the axis.

## queryValue

double gridfire::rates::weak::BoundsErrorInfo::queryValue

Requested value.

The documentation for this struct was generated from the following file:

- src/include/gridfire/reaction/weak/weak_types.h